What is ConfIML?

The Windmill data acquisition software needs to know which hardware devices are available. Use ConfIML to add, configure or remove devices. ConfIML automatically starts during installation. You should also use it:

  • When you have connected new hardware
  • When you wish to alter your hardware configuration
  • When you have removed hardware from your system

The first time you run ConfIML you will have an empty list of devices. The first thing to do is to add some hardware or other data sources (Make sure your data sources are connected to the computer before trying to do this.)

The Main ConfIML Window

Please click the picture for brief help on any item.


Adding Devices

In the main window press the Add button.

You are presented with a list of data acquisition devices for which you have installed drivers. Select one and press the Add button.

You are taken either to the Settings dialogue, if more information is required, or back to the main window.

For non-Microlink hardware that connects to the COM port via RS-232, RS-422, RS-485 or Modbus, choose the ComIML Serial Instrument Handler. In this case, after pressing Save in the main window, run the ComDebug program to enter your instruments' settings. More information is in the ComDebug Help and on our web site.

If your hardware or data source does not appear on the Add list, the necessary support driver software has not been installed. Find the distribution disk and run the install program from that disk.


Setting the Device Options

In the main window select a device and press the Settings button.

A list of questions about the device settings and options is displayed. For the software to use the hardware correctly, you must provide answers to all the questions.

Use the Help button for suitable answers to the questions for this device.

Use the Default button to set the manufacturer's recommended or default settings for this device.

For non-Microlink hardware that connects to the COM port via RS-232, RS-422, RS-485 or Modbus, use the ComDebug program to enter your instruments' settings.


Removing Devices

In the main window select a device and press the Remove button. You are asked if you are sure before the device is removed. You won't now be able to access that device with any of your Windmill programs.


Software Authorisation

Should some or all of your software produce a message saying it is unauthorised, you must use the Software button to authorise it.

In the main window press the Software button. You are presented with a list of your installed software. Each item has an issue date followed by "yes" if it is authorised and "no" if it is not authorised.

If you wish to authorise a trial version of Windmill, click here.

To authorise purchased software write to, telephone, fax or e-mail Windmill Software. Tell us:

  1. The list of software exactly as it appears on the screen, including the dates and yes/no elements.
  2. The 7 character Request Key that is also on the screen.

We will send back to you a 7 character Release Key. When you receive this press the Release Key button and enter your Release Key.

You can contact us at
Windmill Software, PO Box 58, North District Office, Manchester, M8 8QR, UK.
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: techsupport@windmill.co.uk


Setting the Working Directory

When you use Windmill you will create two types of files

  • those which hold data and
  • those which hold the Windmill programs’ settings.

You need to specify a default folder in which to store these files, known as the Working or Default Directory.

Press the Directory button. You will be asked to save the Windmill.dir file in your new default directory. Windmill will create two sub-directories under this choice, called setup and data.


Saving the Configuration

When you have finished making changes press the Save button. This records the configuration and closes the ConfIML program.

The configuration is stored, along with other information used by Windmill, in a file called iml.ini.

After closing ConfIML,

  • If you have non-Microlink hardware connected to the COM port, then run the ComDebug program and enter your instruments' settings. More information is in the ComDebug Help and on our web site
  • For other hardware start the SetupIML program and choose how you wish to use your devices. You could choose different types and ranges of measurement, and set alarm levels, for example.

Remember that if you make any changes to your data acquisition hardware you must re-run ConfIML.


World Wide Web

Web Site

You can find more information about Windmill Software on the World Wide Web at http://www.windmill.co.uk/.

Every month we publish a free newsletter - Monitor ((ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

For more technical support see http://www.windmill.co.uk/techsupp.html

.


Streamer

Streamer is waveform capture, charting and review software for Windows. It lets you log data (temperature, strain, current, etc) at up to 100 kHz. You can set the speed of sampling from Streamer or from an external clock, and start scans from Streamer or from an external trigger.

Streamer works with Microlink high speed data acquisition hardware.

For more information on Streamer, or to download a free software demo, visit Windmill Software's web site at http://www.windmill.co.uk/.


Your Comments on the Help

Tell us any improvements we could make to our Help files. Could you quickly find what you wanted? Was the explanation clear? Have you any questions? Visit http://www.windmill.co.uk/help.html and fill in the comments form at the bottom of the page.


Windmill

Windmill is a suite of data acquisition and control software. It comprises:

Drivers - which handle the low-level communications

ConfIML - which creates a file holding details on which hardware devices are in your system

SetupIML - which creates files telling the other applications how you want the hardware configured

Applications - such as Logger and Chart which perform the data acquisition and control tasks


Contacting Windmill

Windmill Software,
PO Box 58,
North District Office,
Manchester,
M8 8QR,
UK
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/


Licence a Trial Copy of Windmill

Subscribers to our newsletter can download a fully-working, trial version of Windmill and the ComIML serial driver. This lets you collect data from almost any device which plugs into the PC's COM port. At the end of your trial, if you wish to keep using the software, you can purchase a release key from our data acquisition shop. This will let you go on using your set-up indefinitely.

A licenced copy of Windmill lets you control up to 10 serial instruments which are sending binary or ASCII data. You can collect many channels of data from each instrument. It includes the charting, logging, output control and DDE programs. With the DDE Panel you can send data in real-time to other programs like Excel or Access.

To obtain a release key and licence Windmill:

  1. Run Windmill Licence from the Windmill program group.
  2. You will see a screen showing your software and a Request Key. Make a note of the Request Key.
  3. Go to the Windmill data acquisition shop and add Licence your trial version of Windmill to your shopping cart.
  4. During the checkout process you will be asked for your Request Key. Enter this.
  5. We will send you back your Release Key. Enter this in the Windmill Licence screen. Your software will be re-enabled and you can continue to use it.

Keep a record of your Release Key. You will need it if you want to install Windmill on another computer.

Thank you for using Windmill
http://www.windmill.co.uk/
http://www.windmillsoft.com/


Software Signal Generator

In addition to data acquisition and control hardware, ConfIML may list the software signal generator. This is a special driver which simulates a device with seven channels, each channel producing a different signal. No special hardware is required - the data values are produced by calculation.

The software signal generator lets you test the operation of the software independently from your acquisition hardware. You can also use it to experiment and practise with Windmill.


Using Windows

The picture below gives examples of items found in dialogue boxes. For help on any of these items, move your pointer over the picture and click the left mouse button.

The underlined green links in the Help take you to other, related, topics. The blue links take you further down the same topic. For more help on using Help press F1 on the keyboard.


Contact Windmill Software

Contacting Windmill

Windmill Software, PO Box 58, North District Office, Manchester, M8 8QR, UK.
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/


The IML Device Icon

Whenever you run a Windmill application one or more IML device icons appear. Different icons identify different hardware drivers and other data sources. The Windmill applications can't run without these - so don't close them whilst using Windmill.

The Software Signal Generator device icon will look something like this.


ConfIML Help contents

Windmill ConfIML Help Contents

What is ConfIML?

Adding devices

Setting the device options

Removing devices

Saving the configuration

Software authorisation

Using Windows


Glossary

data source | A data source is usually a hardware device driver. It may also be, for example, software which simulates data from a hardware device.
hardware device | Your data acquisition hardware. For example a laboratory instrument or a card which plugs into the PC.
SetupIML | The Windmill program that lets you create and save libraries of setup files, specifying how you want to use your hardware..
Streamer | Waveform capture, charting and review software for Windows.
Windmill | A suite of data acquisition and control software, of which ConfIML is a part..


Author

Windmill ConfIML Help
designed and written
by Jill Studholme

http://www.studholme.net/